diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/inc/vcl/keycod.hxx ooo_SRC680_m233_src.aquavcl04/vcl/inc/vcl/keycod.hxx
--- ooo_SRC680_m233_src.orig/vcl/inc/vcl/keycod.hxx	2007-04-11 19:58:51.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/inc/vcl/keycod.hxx	2007-10-19 16:42:28.000000000 +0200
@@ -95,11 +95,7 @@
 				KeyCode( KeyFuncType eFunction );
 
 	USHORT		GetFullCode() const { return nCode; }
-#ifdef MACOSX
 	USHORT		GetFullKeyCode() const { return (nCode) ; }
-#else
-	USHORT		GetFullKeyCode() const { return (nCode & ~KEY_CONTROLMOD); }
-#endif
 	KeyFuncType GetFullFunction() const { return eFunc; }
 	BOOL		IsDefinedKeyCodeEqual( const KeyCode& rKeyCode ) const;
 
@@ -116,16 +112,8 @@
 					{ return ((nCode & KEY_MOD1) != 0); }
 	BOOL		IsMod2() const
 					{ return ((nCode & KEY_MOD2) != 0); }
-#ifdef MACOSX
-	//  [ericb 07/2006]] Remap ALT with mod5, working fine with Tiger
-	BOOL		IsMod5() const
-					{ return ((nCode & KEY_MOD5) != 0); }	
-	BOOL		IsControlMod() const
-					{ return (IsMod2() && IsMod1() && IsMod5()); }
-#else
-	BOOL		IsControlMod() const
-					{ return ((nCode & KEY_CONTROLMOD) != 0); }
-#endif
+	BOOL		IsMod3() const
+					{ return ((nCode & KEY_MOD3) != 0); }	
 	USHORT		GetGroup() const
 					{ return (nCode & KEYGROUP_TYPE); }
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/inc/vcl/keycodes.hxx ooo_SRC680_m233_src.aquavcl04/vcl/inc/vcl/keycodes.hxx
--- ooo_SRC680_m233_src.orig/vcl/inc/vcl/keycodes.hxx	2007-04-11 19:59:01.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/inc/vcl/keycodes.hxx	2007-10-19 16:42:28.000000000 +0200
@@ -177,13 +177,8 @@
 #define KEY_SHIFT		((USHORT)0x1000)
 #define KEY_MOD1		((USHORT)0x2000)
 #define KEY_MOD2		((USHORT)0x4000)
-#ifdef MACOSX
-#define KEY_MOD5	((USHORT)0x8000)
+#define KEY_MOD3	((USHORT)0x8000)
 #define KEY_MODTYPE	((USHORT)0xF000)
-#else
-#define KEY_MODTYPE 	((USHORT)0x7000)
-#define KEY_CONTROLMOD	((USHORT)0x8000)
-#endif
 #define KEY_ALLMODTYPE	((USHORT)0xF000)
 
 // extended Modifier-Keys (only used for modkey events)
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/control/edit.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/control/edit.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/control/edit.cxx	2007-09-26 17:06:07.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/control/edit.cxx	2007-10-19 16:42:28.000000000 +0200
@@ -429,8 +429,7 @@
 {
 	// In the future we must use new Unicode functions for this
 	xub_Unicode cCharCode = rKeyEvent.GetCharCode();
-	return ((cCharCode >= 32) && (cCharCode != 127) &&
-			!rKeyEvent.GetKeyCode().IsControlMod());
+	return ((cCharCode >= 32) && (cCharCode != 127));
 }
 
 // -----------------------------------------------------------------------
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/control/field.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/control/field.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/control/field.cxx	2007-07-24 12:06:28.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/control/field.cxx	2007-10-19 16:42:29.000000000 +0200
@@ -839,8 +839,7 @@
 
 long NumericField::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplNumericProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), IsStrictFormat(), IsUseThousandSep(), ImplGetLocaleDataWrapper() ) )
             return 1;
@@ -959,8 +958,7 @@
 
 long NumericBox::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplNumericProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), IsStrictFormat(), IsUseThousandSep(), ImplGetLocaleDataWrapper() ) )
             return 1;
@@ -1777,8 +1775,7 @@
 
 long MetricField::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplMetricProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), IsStrictFormat(), IsUseThousandSep(), ImplGetLocaleDataWrapper() ) )
             return 1;
@@ -1904,8 +1901,7 @@
 
 long MetricBox::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplMetricProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), IsStrictFormat(), IsUseThousandSep(), ImplGetLocaleDataWrapper() ) )
             return 1;
@@ -2246,8 +2242,7 @@
 
 long CurrencyField::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplCurrencyProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), IsStrictFormat(), IsUseThousandSep(), ImplGetLocaleDataWrapper() ) )
             return 1;
@@ -2366,8 +2361,7 @@
 
 long CurrencyBox::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplCurrencyProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), IsStrictFormat(), IsUseThousandSep(), ImplGetLocaleDataWrapper() ) )
             return 1;
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/control/field2.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/control/field2.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/control/field2.cxx	2007-06-27 22:05:38.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/control/field2.cxx	2007-10-19 16:42:29.000000000 +0200
@@ -681,7 +681,7 @@
         }
     }
 
-    if ( aCode.IsControlMod() || (cChar < 32) || (cChar == 127) )
+    if ( (cChar < 32) || (cChar == 127) )
         return FALSE;
 
     Selection aSel = aOldSel;
@@ -992,8 +992,7 @@
 
 long PatternField::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplPatternProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), GetEditMask(), GetLiteralMask(),
                                          IsStrictFormat(), GetFormatFlags(),
@@ -1071,8 +1070,7 @@
 
 long PatternBox::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplPatternProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), GetEditMask(), GetLiteralMask(),
                                          IsStrictFormat(), GetFormatFlags(),
@@ -2159,8 +2157,7 @@
 long DateField::PreNotify( NotifyEvent& rNEvt )
 {
     if ( (rNEvt.GetType() == EVENT_KEYINPUT) && IsStrictFormat() &&
-         ( GetExtDateFormat() != XTDATEF_SYSTEM_LONG ) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+         ( GetExtDateFormat() != XTDATEF_SYSTEM_LONG ) )
     {
         if ( ImplDateProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), GetExtDateFormat( TRUE ), ImplGetLocaleDataWrapper() ) )
             return 1;
@@ -2304,8 +2301,7 @@
 long DateBox::PreNotify( NotifyEvent& rNEvt )
 {
     if ( (rNEvt.GetType() == EVENT_KEYINPUT) && IsStrictFormat() &&
-         ( GetExtDateFormat() != XTDATEF_SYSTEM_LONG ) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+         ( GetExtDateFormat() != XTDATEF_SYSTEM_LONG ) )
     {
         if ( ImplDateProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), GetExtDateFormat( TRUE ), ImplGetLocaleDataWrapper() ) )
             return 1;
@@ -3208,8 +3204,7 @@
 
 long TimeField::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplTimeProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), IsStrictFormat(), IsDuration(), GetFormat(), ImplGetLocaleDataWrapper() ) )
             return 1;
@@ -3392,8 +3387,7 @@
 
 long TimeBox::PreNotify( NotifyEvent& rNEvt )
 {
-    if ( (rNEvt.GetType() == EVENT_KEYINPUT) &&
-         !rNEvt.GetKeyEvent()->GetKeyCode().IsControlMod() )
+    if ( (rNEvt.GetType() == EVENT_KEYINPUT) )
     {
         if ( ImplTimeProcessKeyInput( GetField(), *rNEvt.GetKeyEvent(), IsStrictFormat(), IsDuration(), GetFormat(), ImplGetLocaleDataWrapper() ) )
             return 1;
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/control/ilstbox.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/control/ilstbox.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/control/ilstbox.cxx	2007-09-13 18:33:05.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/control/ilstbox.cxx	2007-10-19 16:42:29.000000000 +0200
@@ -1548,8 +1548,7 @@
 		{
 			xub_Unicode c = rKEvt.GetCharCode();
 
-			if ( !IsReadOnly() && (c >= 32) && (c != 127) &&
-				 !rKEvt.GetKeyCode().IsControlMod() )
+			if ( !IsReadOnly() && (c >= 32) && (c != 127) )
 			{
 				maSearchStr += c;
 				XubString aTmpSearch( maSearchStr );
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/gdi/impprn.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/gdi/impprn.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/gdi/impprn.cxx	2007-10-09 17:19:55.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/gdi/impprn.cxx	2007-10-15 17:18:32.000000000 +0200
@@ -489,6 +489,7 @@
                                  maJobSetup.ImplGetConstData(),
                                  this );
             mpPrinter->EndJob();
+            mbJobActive = mbPrinting = FALSE;
             mpParent->ImplEndPrint();
         }
     }
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/window/keycod.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/window/keycod.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/window/keycod.cxx	2007-06-27 22:31:44.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/window/keycod.cxx	2007-10-19 16:42:29.000000000 +0200
@@ -67,22 +67,22 @@
 static USHORT aImplKeyFuncTab[(KEYFUNC_FRONT+1)*3] =
 {
 	0, 0, 0,												// KEYFUNC_DONTKNOW
-	KEY_N | KEY_MOD5, 0, 0,									// KEYFUNC_NEW
-	KEY_O | KEY_MOD5, KEY_OPEN, 0,							// KEYFUNC_OPEN
-	KEY_S | KEY_MOD5, 0, 0,									// KEYFUNC_SAVE
+	KEY_N | KEY_MOD3, 0, 0,									// KEYFUNC_NEW
+	KEY_O | KEY_MOD3, KEY_OPEN, 0,							// KEYFUNC_OPEN
+	KEY_S | KEY_MOD3, 0, 0,									// KEYFUNC_SAVE
 	0, 0, 0,												// KEYFUNC_SAVEAS
-	KEY_P | KEY_MOD5, 0, 0, 								// KEYFUNC_PRINT
-	KEY_W | KEY_MOD5, KEY_F4 | KEY_MOD5, 0, 				// KEYFUNC_CLOSE
-	KEY_Q | KEY_MOD5, KEY_F4 | KEY_MOD2, 0, 				// KEYFUNC_QUIT
-	KEY_X | KEY_MOD5, KEY_DELETE | KEY_SHIFT, KEY_CUT,		// KEYFUNC_CUT
-	KEY_C | KEY_MOD5, KEY_INSERT | KEY_MOD5, KEY_COPY,		// KEYFUNC_COPY
-	KEY_V | KEY_MOD5, KEY_INSERT | KEY_SHIFT, KEY_PASTE,	// KEYFUNC_PASTE
-	KEY_Z | KEY_MOD5, KEY_BACKSPACE | KEY_MOD2, KEY_UNDO,	// KEYFUNC_UNDO
+	KEY_P | KEY_MOD3, 0, 0, 								// KEYFUNC_PRINT
+	KEY_W | KEY_MOD3, KEY_F4 | KEY_MOD3, 0, 				// KEYFUNC_CLOSE
+	KEY_Q | KEY_MOD3, KEY_F4 | KEY_MOD2, 0, 				// KEYFUNC_QUIT
+	KEY_X | KEY_MOD3, KEY_DELETE | KEY_SHIFT, KEY_CUT,		// KEYFUNC_CUT
+	KEY_C | KEY_MOD3, KEY_INSERT | KEY_MOD3, KEY_COPY,		// KEYFUNC_COPY
+	KEY_V | KEY_MOD3, KEY_INSERT | KEY_SHIFT, KEY_PASTE,	// KEYFUNC_PASTE
+	KEY_Z | KEY_MOD3, KEY_BACKSPACE | KEY_MOD2, KEY_UNDO,	// KEYFUNC_UNDO
 	0, 0, 0,												// KEYFUNC_REDO
 	KEY_DELETE, 0, 0,										// KEYFUNC_DELETE
 	KEY_REPEAT, 0, 0,										// KEYFUNC_REPEAT
-	KEY_F | KEY_MOD5, KEY_FIND, 0,							// KEYFUNC_FIND
-	KEY_F | KEY_SHIFT | KEY_MOD5, KEY_SHIFT | KEY_FIND, 0,	// KEYFUNC_FINDBACKWARD
+	KEY_F | KEY_MOD3, KEY_FIND, 0,							// KEYFUNC_FIND
+	KEY_F | KEY_SHIFT | KEY_MOD3, KEY_SHIFT | KEY_FIND, 0,	// KEYFUNC_FINDBACKWARD
 	KEY_RETURN | KEY_MOD2, 0, 0,							// KEYFUNC_PROPERTIES
 	0, 0, 0 												// KEYFUNC_FRONT
 };
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/window/menu.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/window/menu.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/window/menu.cxx	2007-09-20 18:24:48.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/window/menu.cxx	2007-10-19 16:42:29.000000000 +0200
@@ -4516,7 +4516,6 @@
                                        CTRL_STATE_ENABLED,
                                        ImplControlValue(),
                                        OUString() );
-                    Pop();
                     if( bHighlight &&
                         IsNativeControlSupported( CTRL_MENU_POPUP, PART_MENU_ITEM ) )
                     {
@@ -4532,6 +4531,7 @@
                     }
                     else
                         bDrawItemRect = bHighlight;
+                    Pop();
                 }
                 if( bDrawItemRect )
                 {
@@ -4831,7 +4831,7 @@
             else
             {
                 // Bei ungueltigen Tasten Beepen, aber nicht bei HELP und F-Tasten
-                if ( !rKEvent.GetKeyCode().IsControlMod() && ( nCode != KEY_HELP ) && ( rKEvent.GetKeyCode().GetGroup() != KEYGROUP_FKEYS ) )
+                if ( ( nCode != KEY_HELP ) && ( rKEvent.GetKeyCode().GetGroup() != KEYGROUP_FKEYS ) )
                     Sound::Beep();
                 FloatingWindow::KeyInput( rKEvent );
             }
@@ -5566,7 +5566,7 @@
         }
     }
 
-    if ( !bDone && ( bFromMenu || rKEvent.GetKeyCode().IsControlMod() ) )
+    if ( !bDone && bFromMenu )
     {
         xub_Unicode nCharCode = rKEvent.GetCharCode();
         if ( nCharCode )
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/window/status.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/window/status.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/window/status.cxx	2007-08-03 16:08:49.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/window/status.cxx	2007-10-23 13:35:26.000000000 +0200
@@ -1584,7 +1584,9 @@
 	DBG_ASSERT( mbProgressMode, "StatusBar::SetProgressValue(): no progrss mode" );
 	DBG_ASSERTWARNING( nNewPercent <= 100, "StatusBar::SetProgressValue(): nPercent > 100" );
 
-	if ( mbProgressMode && IsReallyVisible() )
+	if ( mbProgressMode
+	&&   IsReallyVisible()
+	&&   (!mnPercent || (mnPercent != nNewPercent)) )
 	{
 		Update();
 		SetLineColor();
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/source/window/winproc.cxx ooo_SRC680_m233_src.aquavcl04/vcl/source/window/winproc.cxx
--- ooo_SRC680_m233_src.orig/vcl/source/window/winproc.cxx	2007-10-09 17:20:51.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/source/window/winproc.cxx	2007-10-19 16:42:29.000000000 +0200
@@ -646,7 +646,7 @@
                                 ::com::sun::star::awt::MouseEvent aMouseEvent(
                                     static_cast < ::com::sun::star::uno::XInterface * > ( 0 ),
 #ifdef MACOSX
-				    nCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD5),
+				    nCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD3),
 #else
                                     nCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2),
 #endif
@@ -1076,11 +1076,7 @@
     {
 #ifdef DBG_UTIL
         // #105224# use Ctrl-Alt-Shift-D, Ctrl-Shift-D must be useable by app
-        #ifdef MACOSX
-        if ( aKeyCode.IsShift() && aKeyCode.IsMod1() && (aKeyCode.IsMod2() || aKeyCode.IsMod5()) && (aKeyCode.GetCode() == KEY_D) )
-        #else
-        if ( aKeyCode.IsShift() && aKeyCode.IsMod1() && aKeyCode.IsMod2() && (aKeyCode.GetCode() == KEY_D) )
-        #endif
+        if ( aKeyCode.IsShift() && aKeyCode.IsMod1() && (aKeyCode.IsMod2() || aKeyCode.IsMod3()) && (aKeyCode.GetCode() == KEY_D) )
         {
             DBGGUI_START();
             return 1;
@@ -2091,7 +2087,7 @@
                                  pEvent->mnX, pEvent->mnY,
                                  pEvent->mnTime,
 #ifdef MACOSX
-				 pEvent->mnButton | (pEvent->mnCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD5)),
+				 pEvent->mnButton | (pEvent->mnCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD3)),
 #else
                                  pEvent->mnButton | (pEvent->mnCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2)),
 #endif
@@ -2106,7 +2102,7 @@
                                  pEvent->mnX, pEvent->mnY,
                                  pEvent->mnTime,
 #ifdef MACOSX
-				 pEvent->mnButton | (pEvent->mnCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD5)),
+				 pEvent->mnButton | (pEvent->mnCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD3)),
 #else
                                  pEvent->mnButton | (pEvent->mnCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2)),
 #endif
@@ -2169,7 +2165,7 @@
     if ( pTrackWin )
         pWindow = pTrackWin;
 #ifdef MACOSX
-    USHORT nOldCode = pWindow->ImplGetWindowImpl()->mpFrameData->mnMouseCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD5);
+    USHORT nOldCode = pWindow->ImplGetWindowImpl()->mpFrameData->mnMouseCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD3);
 #else
     USHORT nOldCode = pWindow->ImplGetWindowImpl()->mpFrameData->mnMouseCode & (KEY_SHIFT | KEY_MOD1 | KEY_MOD2);
 #endif
@@ -2177,7 +2173,7 @@
     if ( nOldCode != nNewCode )
     {
 #ifdef MACOSX
-	nNewCode |= pWindow->ImplGetWindowImpl()->mpFrameData->mnMouseCode & ~(KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD5);
+	nNewCode |= pWindow->ImplGetWindowImpl()->mpFrameData->mnMouseCode & ~(KEY_SHIFT | KEY_MOD1 | KEY_MOD2 | KEY_MOD3);
 #else
         nNewCode |= pWindow->ImplGetWindowImpl()->mpFrameData->mnMouseCode & ~(KEY_SHIFT | KEY_MOD1 | KEY_MOD2);
 #endif
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/unx/gtk/window/gtkframe.cxx ooo_SRC680_m233_src.aquavcl04/vcl/unx/gtk/window/gtkframe.cxx
--- ooo_SRC680_m233_src.orig/vcl/unx/gtk/window/gtkframe.cxx	2007-10-09 17:21:04.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/unx/gtk/window/gtkframe.cxx	2007-10-19 18:46:41.000000000 +0200
@@ -95,11 +95,9 @@
     if( (state & GDK_MOD1_MASK) )
 	{
         nCode |= KEY_MOD2;
-		if( ! (nCode & KEY_MOD1) )
 #ifdef MACOSX
-			nCode |= KEY_MOD5;
-#else
-			nCode |= KEY_CONTROLMOD;
+		if( ! (nCode & KEY_MOD1) )
+			nCode |= KEY_MOD3;
 #endif
 	}
     return nCode;
@@ -2832,17 +2830,17 @@
             case GDK_Alt_L:
                 nExtModMask = MODKEY_LMOD2;
 #ifdef MACOSX
-		nModMask = KEY_MOD5 | (pEvent->type == GDK_KEY_RELEASE ? KEY_MOD5: 0);
+                nModMask = KEY_MOD3;
 #else
-                nModMask = KEY_MOD2 | (pEvent->type == GDK_KEY_RELEASE ? KEY_CONTROLMOD : 0);
+                nModMask = KEY_MOD2;
 #endif
                 break;
             case GDK_Alt_R:
                 nExtModMask = MODKEY_RMOD2;
 #ifdef MACOSX
-		nModMask = KEY_MOD2 | (pEvent->type == GDK_KEY_RELEASE ? KEY_MOD5 : 0);
+		        nModMask = KEY_MOD2 | (pEvent->type == GDK_KEY_RELEASE ? KEY_MOD3 : 0);
 #else
-                nModMask = KEY_MOD2 | (pEvent->type == GDK_KEY_RELEASE ? KEY_CONTROLMOD : 0);
+                nModMask = KEY_MOD2;
 #endif
                 break;
             case GDK_Shift_L:
@@ -2874,11 +2872,7 @@
 		{
 			// emulate KEY_MENU
 			if( ( pEvent->keyval == GDK_Alt_L || pEvent->keyval == GDK_Alt_R ) &&
-#ifdef MACOSX
-				( nModCode & ~(KEY_MOD5|KEY_MOD2)) == 0 )
-#else
-				( nModCode & ~(KEY_CONTROLMOD|KEY_MOD2)) == 0 )
-#endif
+				( nModCode & ~(KEY_MOD3|KEY_MOD2)) == 0 )
 			{
 				if( pEvent->type == GDK_KEY_PRESS )
 					pThis->m_bSingleAltPress = true;
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/unx/source/app/saldisp.cxx ooo_SRC680_m233_src.aquavcl04/vcl/unx/source/app/saldisp.cxx
--- ooo_SRC680_m233_src.orig/vcl/unx/source/app/saldisp.cxx	2007-07-31 18:10:02.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/unx/source/app/saldisp.cxx	2007-10-19 16:42:30.000000000 +0200
@@ -1207,7 +1207,7 @@
 {
     String aStrMap;
 #ifdef MACOSX
-    if( nKeyCode & KEY_MOD5 )
+    if( nKeyCode & KEY_MOD3 )
     {
 	aStrMap += GetKeyNameFromKeySym( nMod2KeySym_ );
     }
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/unx/source/window/salframe.cxx ooo_SRC680_m233_src.aquavcl04/vcl/unx/source/window/salframe.cxx
--- ooo_SRC680_m233_src.orig/vcl/unx/source/window/salframe.cxx	2007-08-30 15:57:30.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/unx/source/window/salframe.cxx	2007-10-19 16:42:30.000000000 +0200
@@ -3042,14 +3042,10 @@
 		nModCode |= KEY_MOD1;
 #ifdef MACOSX
 	if( pEvent->state & Mod2Mask )
-		nModCode |= KEY_MOD5;
+		nModCode |= KEY_MOD3;
 #else
 	if( pEvent->state & Mod1Mask )
-	{
 		nModCode |= KEY_MOD2;
-		if ( !(nModCode & KEY_MOD1) )
-			nModCode |= KEY_CONTROLMOD;
-	}
 #endif
 	if( 	nKeySym == XK_Shift_L 	|| nKeySym == XK_Shift_R
 		|| 	nKeySym == XK_Control_L || nKeySym == XK_Control_R
@@ -3085,17 +3081,17 @@
             case XK_Alt_L:
                 nExtModMask = MODKEY_LMOD2;
 #ifdef MACOSX
-		nModMask = KEY_MOD2 | (pEvent->type==KeyRelease ? KEY_MOD5 : 0 );
+		        nModMask = KEY_MOD2 | (pEvent->type==KeyRelease ? KEY_MOD3 : 0 );
 #else
-                nModMask = KEY_MOD2 | (pEvent->type==KeyRelease ? KEY_CONTROLMOD : 0);
+                nModMask = KEY_MOD2;
 #endif
                 break;
             case XK_Alt_R:
                 nExtModMask = MODKEY_RMOD2;
 #ifdef MACOSX
-		nModMask = KEY_MOD2 | (pEvent->type==KeyRelease ? KEY_MOD5 : 0 );
+		        nModMask = KEY_MOD2 | (pEvent->type==KeyRelease ? KEY_MOD3 : 0 );
 #else
-                nModMask = KEY_MOD2 | (pEvent->type==KeyRelease ? KEY_CONTROLMOD : 0);
+                nModMask = KEY_MOD2;
 #endif
                 break;
             case XK_Shift_L:
@@ -3125,11 +3121,7 @@
 
         // emulate KEY_MENU
         if ( ( (nKeySym == XK_Alt_L) || (nKeySym == XK_Alt_R) ) &&
-#ifdef MACOSX
-	     ( (nModCode & ~(KEY_MOD5|KEY_MOD2)) == 0 ) )
-#else
-             ( (nModCode & ~(KEY_CONTROLMOD|KEY_MOD2)) == 0 ) )
-#endif
+             ( (nModCode & ~(KEY_MOD3|KEY_MOD2)) == 0 ) )
         {
             if( pEvent->type == XLIB_KeyPress )
                 mbKeyMenu = true;
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m233_src.orig/vcl/win/source/window/salframe.cxx ooo_SRC680_m233_src.aquavcl04/vcl/win/source/window/salframe.cxx
--- ooo_SRC680_m233_src.orig/vcl/win/source/window/salframe.cxx	2007-10-09 17:22:11.000000000 +0200
+++ ooo_SRC680_m233_src.aquavcl04/vcl/win/source/window/salframe.cxx	2007-10-19 16:42:31.000000000 +0200
@@ -3727,12 +3727,7 @@
     if ( GetKeyState( VK_CONTROL ) & 0x8000 )
         nModCode |= KEY_MOD1;
     if ( GetKeyState( VK_MENU ) & 0x8000 )
-    {
         nModCode |= KEY_MOD2;
-        if ( !(nModCode & KEY_MOD1) &&
-             ((nMsg == WM_SYSKEYDOWN) || (nMsg == WM_SYSKEYUP)) )
-            nModCode |= KEY_CONTROLMOD;
-    }
 
     if ( (nMsg == WM_CHAR) || (nMsg == WM_SYSCHAR) )
     {
@@ -3990,11 +3985,7 @@
         if ( GetKeyState( VK_CONTROL ) & 0x8000 )
             nModCode |= KEY_MOD1;
         if ( GetKeyState( VK_MENU ) & 0x8000 )
-        {
             nModCode |= KEY_MOD2;
-            if ( !(nModCode & KEY_MOD1) )
-                nModCode |= KEY_CONTROLMOD;
-        }
 
         if ( (wParam != VK_SHIFT) && (wParam != VK_CONTROL) && (wParam != VK_MENU) )
         {
@@ -4045,8 +4036,6 @@
     if ( GetKeyState( VK_CONTROL ) & 0x8000 )
         nModCode |= KEY_MOD1;
     nModCode |= KEY_MOD2;
-    if ( !(nModCode & KEY_MOD1) )
-        nModCode |= KEY_CONTROLMOD;
 
     // KeyEvent zusammenbauen
     SalKeyEvent aKeyEvt;
@@ -5264,8 +5253,6 @@
                     if ( GetKeyState( VK_CONTROL ) & 0x8000 )
                         nModCode |= KEY_MOD1;
                     nModCode |= KEY_MOD2;
-                    if ( !(nModCode & KEY_MOD1) )
-                        nModCode |= KEY_CONTROLMOD;
 
                     SalKeyEvent aKeyEvt;
                     aKeyEvt.mnTime      = GetMessageTime();
